bitel.billing.server.bill.bean

## Class ExtractorPositionValue

- java.lang.Object
- - bitel.billing.server.bill.bean.PositionValue
  - - bitel.billing.server.bill.bean.ExtractorPositionValue

-     public class ExtractorPositionValue
      extends PositionValue

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractorPositionValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMid()`
    `int` | `getSid()`
    `void` | `setMid(int mid)`
    `void` | `setSid(int sid)`
    `void` | `toElement(org.w3c.dom.Element el)`
    `void` | `toElement(javax.xml.stream.XMLStreamWriter el)`

    - ### Methods inherited from class bitel.billing.server.bill.bean.PositionValue

      `getCid, getContractId, getCost, getExtractPositions, getName, getNds, getParams, getPosition, getPositionId, getQtyNumsAfterComma, getQtyNumsRoundingMode, getQuantity, getSum, getSumma, getSumScaled, getSumUnscaled, getUnit, getUnitCode, isAddWhenLessZero, isInSumm, setAddWhenLessZero, setCid, setContractId, setCost, setExtractPositions, setInSumm, setName, setNds, setParams, setPosition, setPositionId, setQtyNumsAfterComma, setQtyNumsRoundingMode, setQuantity, setSum, setSumma, setSumScaled, setSumUnscaled, setUnit, setUnitCode, toDocumentPosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractorPositionValue

          public ExtractorPositionValue()

  - ### Method Detail

    - #### getSid

          public int getSid()

    - #### setSid

          public void setSid(int sid)

    - #### getMid

          public int getMid()

    - #### setMid

          public void setMid(int mid)

    - #### toElement

          public void toElement(org.w3c.dom.Element el)

      Overrides:
        `toElement` in class `PositionValue`

    - #### toElement

          public void toElement(javax.xml.stream.XMLStreamWriter el)
                         throws javax.xml.stream.XMLStreamException

      Overrides:
        `toElement` in class `PositionValue`
      Throws:
        `javax.xml.stream.XMLStreamException`